org.red5.server.net.rtmp.codec

## Interface IEventDecoder

All Known Implementing Classes:
  RTMPProtocolDecoder, RTMPTProtocolDecoder

    public interface IEventDecoder

Event decoder decodes event objects from incoming byte buffer.

### Method Summary

Methods
`Aggregate` `decodeAggregate(org.apache.mina.core.buffer.IoBuffer in)` Decodes the aggregated data.
`AudioData` `decodeAudioData(org.apache.mina.core.buffer.IoBuffer in)` Decodes audio data event.
`BytesRead` `decodeBytesRead(org.apache.mina.core.buffer.IoBuffer in)` Decodes BytesRead event.
`ChunkSize` `decodeChunkSize(org.apache.mina.core.buffer.IoBuffer in)` Decodes chunk size event.
`FlexMessage` `decodeFlexMessage(org.apache.mina.core.buffer.IoBuffer in, RTMP rtmp)` Decodes Flex message event.
`ISharedObjectMessage` `decodeFlexSharedObject(org.apache.mina.core.buffer.IoBuffer in, RTMP rtmp)` Decodes shared object message event from AMF3 encoding.
`Invoke` `decodeInvoke(org.apache.mina.core.buffer.IoBuffer in, RTMP rtmp)` Decodes invocation event.
`Notify` `decodeNotify(org.apache.mina.core.buffer.IoBuffer in, RTMP rtmp)` Decodes notification event.
`Ping` `decodePing(org.apache.mina.core.buffer.IoBuffer in)` Decodes ping event.
`ISharedObjectMessage` `decodeSharedObject(org.apache.mina.core.buffer.IoBuffer in, RTMP rtmp)` Decodes shared object message event.
`Unknown` `decodeUnknown(byte dataType, org.apache.mina.core.buffer.IoBuffer in)` Decodes event of Unknown type.
`VideoData` `decodeVideoData(org.apache.mina.core.buffer.IoBuffer in)` Decodes video data event.

### Method Detail

#### decodeUnknown

    Unknown decodeUnknown(byte dataType,
                        org.apache.mina.core.buffer.IoBuffer in)

Decodes event of Unknown type.

Parameters:
  `dataType` - Data type
  `in` - Byte buffer to decode
Returns:
  Unknown event

#### decodeChunkSize

    ChunkSize decodeChunkSize(org.apache.mina.core.buffer.IoBuffer in)

Decodes chunk size event.

Parameters:
  `in` - Byte buffer to decode
Returns:
  ChunkSize event

#### decodeSharedObject

    ISharedObjectMessage decodeSharedObject(org.apache.mina.core.buffer.IoBuffer in,
                                          RTMP rtmp)

Decodes shared object message event.

Parameters:
  `in` - Byte buffer to decode
  `rtmp` - RTMP protocol state
Returns:
  ISharedObjectMessage event

#### decodeFlexSharedObject

    ISharedObjectMessage decodeFlexSharedObject(org.apache.mina.core.buffer.IoBuffer in,
                                              RTMP rtmp)

Decodes shared object message event from AMF3 encoding.

Parameters:
  `in` - Byte buffer to decode
  `rtmp` - RTMP protocol state
Returns:
  ISharedObjectMessage event

#### decodeNotify

    Notify decodeNotify(org.apache.mina.core.buffer.IoBuffer in,
                      RTMP rtmp)

Decodes notification event.

Parameters:
  `in` - Byte buffer to decode
  `rtmp` - RTMP protocol state
Returns:
  Notify event

#### decodeInvoke

    Invoke decodeInvoke(org.apache.mina.core.buffer.IoBuffer in,
                      RTMP rtmp)

Decodes invocation event.

Parameters:
  `in` - Byte buffer to decode
  `rtmp` - RTMP protocol state
Returns:
  Invoke event

#### decodePing

    Ping decodePing(org.apache.mina.core.buffer.IoBuffer in)

Decodes ping event.

Parameters:
  `in` - Byte buffer to decode
Returns:
  Ping event

#### decodeBytesRead

    BytesRead decodeBytesRead(org.apache.mina.core.buffer.IoBuffer in)

Decodes BytesRead event.

Parameters:
  `in` - Byte buffer to decode
Returns:
  BytesRead event

#### decodeAggregate

    Aggregate decodeAggregate(org.apache.mina.core.buffer.IoBuffer in)

Decodes the aggregated data.

Parameters:
  `in` - Byte buffer to decode
Returns:
  Aggregate event

#### decodeAudioData

    AudioData decodeAudioData(org.apache.mina.core.buffer.IoBuffer in)

Decodes audio data event.

Parameters:
  `in` - Byte buffer to decode
Returns:
  AudioData event

#### decodeVideoData

    VideoData decodeVideoData(org.apache.mina.core.buffer.IoBuffer in)

Decodes video data event.

Parameters:
  `in` - Byte buffer to decode
Returns:
  VideoData event

#### decodeFlexMessage

    FlexMessage decodeFlexMessage(org.apache.mina.core.buffer.IoBuffer in,
                                RTMP rtmp)

Decodes Flex message event.

Parameters:
  `in` - Byte buffer to decode
  `rtmp` - RTMP protocol state
Returns:
  FlexMessage event